<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Belajar Component Slot</title>
</head>
<body>

    <div id="app">

        <blog-component>

            <template v-slot:title >
                <h1>ini slot title 1</h1>
            </template>
            <template v-slot:deskripsi>
                <h2>ini slot deksripsi 1</h2>
            </template>
        

        </blog-component>


    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"> </script>

    <script>

    const BlogComponent={
        template:`<div>

            <slot name="title"></slot>
            <slot name="deskripsi"></slot>
            

                </div>
                
                `
    }

        

   var vm=new Vue({
       el:"#app",
       components:{
           'blog-component':BlogComponent
       }


   })


    </script>



    
</body>
</html>